export function getPixel(value) {
    // 100, 100px, 100%, 100% - 90px, 100% - 90rem, 100% - 90em
    value += ''
    if (!value) {
      return ''
    }
    // 替换空格
    value = value.replace(/\s*/g, '')
    if ((/\d+$/g).test(value)) { 
      // 默认结尾补齐 px
      value += 'px'
    } 
    if ((/^calc/).test(value)) {
      // calc 添加运算符前后空格
      value = value.replace(/(\+|\-|\*|\/)/, ' $1 ')
    } else if (/(\+|\-|\*|\/)/.test(value)) {
      value = 'calc(' + value.replace(/(\+|\-|\*|\/)/, ' $1 ') + ")"
    }
    return value
}